Bug 1474260 - tracer-0.6.13-1 is extremely slow
Summary: tracer-0.6.13-1 is extremely slow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracer
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 09:10 UTC by Kamil Páral
Modified: 2018-05-09 16:13 UTC (History)
3 users (show)

Fixed In Version: tracer-0.7.0-1.fc27 tracer-0.7.0-1.fc28 tracer-0.7.0-1.fc26 tracer-0.7.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 16:36:12 UTC


Attachments (Terms of Use)
cProfile binary file, gzipped (60.81 KB, application/octet-stream)
2018-01-25 15:20 UTC, Laurent Rineau
no flags Details

Description Kamil Páral 2017-07-24 09:10:27 UTC
Description of problem:
Using tracer 0.6.12:

$ time sudo tracer -ea
You should restart:
  * Some applications using:
      sudo systemctl restart NetworkManager
      sudo systemctl restart cups-browsed
      sudo systemctl restart fwupd
      sudo systemctl restart geoclue
      sudo systemctl restart gssproxy
      sudo systemctl restart libvirtd
      sudo systemctl restart sendmail
      sudo systemctl restart sshd

  * These applications manually:
      automount
      cupsd
      evolution-addressbook-factory
      evolution-addressbook-factory-subprocess
      evolution-alarm-notify
      evolution-calendar-factory
      evolution-calendar-factory-subprocess
      evolution-source-registry
      gnome-shell
      gnome-shell-calendar-server
      gnome-software
      goa-daemon
      goa-identity-service
      gsd-a11y-keyboard
      gsd-a11y-settings
      gsd-clipboard
      gsd-color
      gsd-datetime
      gsd-housekeeping
      gsd-keyboard
      gsd-media-keys
      gsd-mouse
      gsd-orientation
      gsd-power
      gsd-print-notifications
      gsd-printer
      gsd-rfkill
      gsd-screensaver-proxy
      gsd-sharing
      gsd-smartcard
      gsd-sound
      gsd-wacom
      gsd-xrandr
      gsd-xsettings
      packagekitd
      tracker-extract
      tracker-miner-apps
      tracker-miner-fs
      tracker-miner-user-guides
      tracker-store
      xdg-permission-store

real	1m15.186s
user	0m53.844s
sys	0m21.090s


Using tracer 0.6.13:

$ time sudo tracer -ea
You should restart:
  * Some applications using:
      killall -3 gnome-shell
      sudo systemctl restart NetworkManager
      sudo systemctl restart NetworkManager
      sudo systemctl restart autofs
      sudo systemctl restart cups
      sudo systemctl restart cups-browsed
      sudo systemctl restart fwupd
      sudo systemctl restart geoclue
      sudo systemctl restart gssproxy
      sudo systemctl restart libvirtd
      sudo systemctl restart packagekit
      sudo systemctl restart sendmail
      sudo systemctl restart sshd
      tracker daemon --terminate=store; tracker daemon --start store

  * These applications manually:
      evolution-addressbook-factory
      evolution-addressbook-factory-subprocess
      evolution-calendar-factory
      evolution-calendar-factory-subprocess
      evolution-source-registry
      gnome-shell-calendar-server
      goa-daemon
      goa-identity-service
      xdg-permission-store

  * These applications restarting your session:
      evolution-alarm-notify
      gnome-software
      gsd-a11y-keyboard
      gsd-a11y-settings
      gsd-clipboard
      gsd-color
      gsd-datetime
      gsd-housekeeping
      gsd-keyboard
      gsd-media-keys
      gsd-mouse
      gsd-orientation
      gsd-power
      gsd-print-notifications
      gsd-printer
      gsd-rfkill
      gsd-screensaver-proxy
      gsd-sharing
      gsd-smartcard
      gsd-sound
      gsd-wacom
      gsd-xrandr
      gsd-xsettings
      tracker-extract
      tracker-miner-apps
      tracker-miner-fs
      tracker-miner-user-guides

real	10m2.260s
user	7m9.573s
sys	2m40.844s


So it's 1 min 15 sec against 10 minutes. That makes tracer quite unusable (it's much easier to restart than wait 10 minutes of full CPU usage).


Version-Release number of selected component (if applicable):
python2-tracer-0.6.13-1.fc26.noarch
python3-tracer-0.6.13-1.fc26.noarch
tracer-common-0.6.13-1.fc26.noarch

Comment 1 Kamil Páral 2017-10-23 09:00:39 UTC
$ time sudo tracer -ea
You should restart:
  * Some applications using:
      dropbox stop; dropbox start
      killall -3 gnome-shell
      pulseaudio --kill; pulseaudio --start
      sudo systemctl restart NetworkManager
      sudo systemctl restart NetworkManager
      sudo systemctl restart abrt-journal-core
      sudo systemctl restart abrt-oops
      sudo systemctl restart abrt-xorg
      sudo systemctl restart abrtd
      sudo systemctl restart accounts-daemon
      sudo systemctl restart alsa-state
      sudo systemctl restart atd
      sudo systemctl restart auditd
      sudo systemctl restart auditd
      sudo systemctl restart auditd
      sudo systemctl restart autofs
      sudo systemctl restart avahi-daemon
      sudo systemctl restart bluetooth
      sudo systemctl restart chronyd
      sudo systemctl restart colord
      sudo systemctl restart crond
      sudo systemctl restart cups
      sudo systemctl restart cups
      sudo systemctl restart cups-browsed
      sudo systemctl restart dbus
      sudo systemctl restart fwupd
      sudo systemctl restart gdm
      sudo systemctl restart geoclue
      sudo systemctl restart gssproxy
      sudo systemctl restart kparal-encfs
      sudo systemctl restart libvirtd
      sudo systemctl restart libvirtd
      sudo systemctl restart lvm2-lvmetad
      sudo systemctl restart mcelog
      sudo systemctl restart packagekit
      sudo systemctl restart polkit
      sudo systemctl restart rngd
      sudo systemctl restart rtkit-daemon
      sudo systemctl restart sendmail
      sudo systemctl restart sshd
      sudo systemctl restart sssd-kcm
      sudo systemctl restart sssd-secrets
      sudo systemctl restart systemd-journald
      sudo systemctl restart systemd-logind
      sudo systemctl restart systemd-udevd
      sudo systemctl restart udisks2
      sudo systemctl restart upower
      sudo systemctl restart wpa_supplicant
      tracker daemon --terminate=store; tracker daemon --start store

  * These applications manually:
      (sd-pam)
      at-spi2-registryd
      evolution-addressbook-factory
      evolution-addressbook-factory-subprocess
      evolution-calendar-factory
      evolution-calendar-factory-subprocess
      evolution-source-registry
      gdm-session-wor
      gnome-shell-calendar-server
      gnome-terminal-server
      goa-daemon
      goa-identity-service
      gvfs-goa-volume-monitor
      gvfsd-dnssd
      gvfsd-http
      gvfsd-network
      xdg-permission-store

  * These applications restarting your session:
      Xorg
      Xwayland
      abrt-applet
      bash
      dconf-service
      evolution-alarm-notify
      gdm-wayland-session
      gdm-x-session
      gnome-keyring-daemon
      gnome-session-binary
      gnome-software
      goldendict
      gsd-a11y-keyboard
      gsd-a11y-settings
      gsd-clipboard
      gsd-color
      gsd-datetime
      gsd-disk-utility-notify
      gsd-housekeeping
      gsd-keyboard
      gsd-media-keys
      gsd-mouse
      gsd-power
      gsd-print-notifications
      gsd-printer
      gsd-rfkill
      gsd-screensaver-proxy
      gsd-sharing
      gsd-smartcard
      gsd-sound
      gsd-wacom
      gsd-xsettings
      gvfs-afc-volume-monitor
      gvfs-gphoto2-volume-monitor
      gvfs-mtp-volume-monitor
      gvfs-udisks2-volume-monitor
      gvfsd
      gvfsd-fuse
      gvfsd-trash
      mailnag
      seapplet
      tracker-extract
      tracker-miner-apps
      tracker-miner-fs

  * These applications rebooting your computer:
      at-spi-bus-launcher
      dbus
      gconfd-2
      gvfsd-metadata
      systemd

real	20m50.686s
user	14m50.880s
sys	5m32.747s

python2-tracer-0.6.13.1-2.fc27.noarch
python3-tracer-0.6.13.1-2.fc27.noarch
tracer-common-0.6.13.1-2.fc27.noarch

Comment 2 Laurent Rineau 2018-01-15 09:19:17 UTC
I have the same issue on Fedora 27.

Comment 3 Laurent Rineau 2018-01-25 15:20:05 UTC
Created attachment 1386164 [details]
cProfile binary file, gzipped

I ran cProfile on a tracer run, on my Fedora 27 machine. 

renoir ~ $ sudo time python3 -m cProfile -o cProfile-usr_bin_tracer.txt =tracer   
You should restart:
  * Some applications using:
      akonadictl restart
      akonadictl restart
      dropbox stop; dropbox start
      kdeinit4
      pulseaudio --kill; pulseaudio --start
      sudo systemctl restart packagekit

  * These applications manually:
      (sd-pam)
      QtWebEngineProcess --type=renderer --disable-accelerated-video-decode --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --use-gl=desktop --disable-databases --primordial-pipe-token=40A3F0A03698BAE0E078EAF37DB05759 --lang=en-US --enable-pinch --num-raster-threads=4 --enable-main-frame-before-activation --content-image-texture-target=0,0,3553;0,1,3553;0,2,3553;0,3,3553;0,4,3553;0,5,3553;0,6,3553;0,7,3553;0,8,3553;0,9,3553;0,10,3553;0,11,3553;0,12,3553;0,13,3553;0,14,3553;0,15,3553;1,0,3553;1,1,3553;1,2,3553;1,3,3553;1,4,3553;1,5,3553;1,6,3553;1,7,3553;1,8,3553;1,9,3553;1,10,3553;1,11,3553;1,12,3553;1,13,3553;1,14,3553;1,15,3553;2,0,3553;2,1,3553;2,2,3553;2,3,3553;2,4,3553;2,5,3553;2,6,3553;2,7,3553;2,8,3553;2,9,3553;2,10,3553;2,11,3553;2,12,3553;2,13,3553;2,14,3553;2,15,3553;3,0,3553;3,1,3553;3,2,3553;3,3,3553;3,4,3553;3,5,3553;3,6,3553;3,7,3553;3,8,3553;3,9,3553;3,10,3553;3,11,3553;3,12,3553;3,13,3553;3,14,3553;3,15,3553 --service-request-channel-token=40A3F0A03698BAE0E078EAF37DB05759 --renderer-client-id=4
      QtWebEngineProcess --type=renderer --disable-accelerated-video-decode --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --use-gl=desktop --primordial-pipe-token=E0886FABD1569033E2720C78DC4A3B60 --lang=en-US --enable-pinch --num-raster-threads=4 --enable-main-frame-before-activation --content-image-texture-target=0,0,3553;0,1,3553;0,2,3553;0,3,3553;0,4,3553;0,5,3553;0,6,3553;0,7,3553;0,8,3553;0,9,3553;0,10,3553;0,11,3553;0,12,3553;0,13,3553;0,14,3553;0,15,3553;1,0,3553;1,1,3553;1,2,3553;1,3,3553;1,4,3553;1,5,3553;1,6,3553;1,7,3553;1,8,3553;1,9,3553;1,10,3553;1,11,3553;1,12,3553;1,13,3553;1,14,3553;1,15,3553;2,0,3553;2,1,3553;2,2,3553;2,3,3553;2,4,3553;2,5,3553;2,6,3553;2,7,3553;2,8,3553;2,9,3553;2,10,3553;2,11,3553;2,12,3553;2,13,3553;2,14,3553;2,15,3553;3,0,3553;3,1,3553;3,2,3553;3,3,3553;3,4,3553;3,5,3553;3,6,3553;3,7,3553;3,8,3553;3,9,3553;3,10,3553;3,11,3553;3,12,3553;3,13,3553;3,14,3553;3,15,3553 --service-request-channel-token=E0886FABD1569033E2720C78DC4A3B60 --renderer-client-id=3
      QtWebEngineProcess --type=zygote --lang=en-US
      akonadi_akonotes_resource
      akonadi_archivemail_agent
      akonadi_contacts_resource
      akonadi_davgroupware_resource
      akonadi_followupreminder_agent
      akonadi_googlecalendar_resource
      akonadi_googlecontacts_resource
      akonadi_imap_resource
      akonadi_indexing_agent
      akonadi_maildispatcher_agent
      akonadi_mailfilter_agent
      akonadi_migration_agent
      akonadi_mixedmaildir_resource
      akonadi_newmailnotifier_agent
      akonadi_notes_agent
      akonadi_sendlater_agent
      at-spi2-registryd
      chrome
      copyq
      dirmngr
      emacs
      file.so
      hunspell
      kaccess
      kded5
      kdeinit5
      kglobalaccel5
      kiod5
      konsole
      kontact
      kscreen_backend_launcher
      ksmserver
      ksysguard
      ksysguardd
      kuiserver5
      kwalletd5
      kwrapper5
      nacl_helper
      oosplash
      org_kde_powerdevil
      seapplet
      skypeforlinux
      soffice.bin
      ssh-agent
      start_kdeinit
      startkde
      telegram-desktop

Additionally to those process above, there are:
  - 11 processes requiring restart of your session (i.e. Logging out & Logging in again)
  - 5 processes requiring reboot
2025.73user 706.87system 46:48.56elapsed 97%CPU (0avgtext+0avgdata 55204maxresident)k
159432inputs+11136outputs (119major+173521minor)pagefaults 0swaps



I attach the resulting cProfile-usr_bin_tracer.txt (binary file), gzipped.

Be careful that, even once uncompressed, that file is still a binary file. There are a lot of ways to read and use the cProfile binary file. You can convert the file to a format readable by kcachegrind [1], or run queries on it in Python using the `pstats.Stats` class [2].

[1]: https://julien.danjou.info/blog/2015/guide-to-python-profiling-cprofile-concrete-case-carbonara
[2]: https://docs.python.org/3/library/profile.html#instant-user-s-manual

Comment 4 Fedora Update System 2018-04-19 21:03:29 UTC
tracer-0.7.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bf0d24113

Comment 5 Fedora Update System 2018-04-19 21:03:44 UTC
tracer-0.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a595f3f084

Comment 6 Fedora Update System 2018-04-19 21:03:50 UTC
tracer-0.7.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b437cce027

Comment 7 Fedora Update System 2018-04-19 22:37:55 UTC
tracer-0.7.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e2c57717ce

Comment 8 Fedora Update System 2018-04-20 01:50:13 UTC
tracer-0.7.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a595f3f084

Comment 9 Fedora Update System 2018-04-21 04:37:40 UTC
tracer-0.7.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b437cce027

Comment 10 Fedora Update System 2018-04-21 05:02:23 UTC
tracer-0.7.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bf0d24113

Comment 11 Fedora Update System 2018-04-21 06:19:10 UTC
tracer-0.7.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e2c57717ce

Comment 12 Fedora Update System 2018-04-23 08:38:31 UTC
tracer-0.7.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5d15a730d8

Comment 13 Fedora Update System 2018-04-24 04:46:42 UTC
tracer-0.7.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5d15a730d8

Comment 14 Fedora Update System 2018-04-30 16:36:12 UTC
tracer-0.7.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-30 21:17:28 UTC
tracer-0.7.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-04-30 22:02:16 UTC
tracer-0.7.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-05-09 16:13:40 UTC
tracer-0.7.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.